<!DOCTYPE html>
<html>
    <head>
        <title>
            Creación de Páginas Web Nivel 1
        </title>
        <link rel="stylesheet" type="text/css" href="css/index_style.css"/>
        <link  rel="stylesheet" href="https://fonts.googleapis.com/css?family=Karla:400,400i,700,700i&ampdisplay=swap">
    </head>
    <body>
        <div id="whole">
            <div id="upper">
                <h1>
                    CREACIÓN DE PÁGINAS WEB NIVEL 1
                </h1>
            </div>
            <div id="middle">
                <div id="lateral">
                    <center>
                        <h5>
                            TABLA DE CONTENIDO
                        </h5> 
                    </center>
                    <ul>
                        <li>
                            <a href="#listas">
                                Listas
                            </a>
                        </li>
                        <li>
                            <a href="#hiper">
                                Hipervínculos, Colores y Fuentes
                            </a>
                        </li>
                        <li>
                            <a href="#multimedia">
                                Multimedia
                            </a>
                        </li>
                    </ul>
                </div>
                <div id="main">
                    <h2>
                        SESIÓN 3: LISTAS Y MULTIMEDIA
                    </h2>
                    <h3 id="listas">
                        Listas
                    </h3>
                    <p>
                        Hay tres tipos de listas: las listas ordenadas, desordenadas y de definiciones.
                    </p>
                    <h4>
                        Listas Ordenadas:
                    </h4>
                    <p>
                        Las listas ordenadas son listas númeradas o con literales que llevan un orden específico. Se inician con la etiqueta &lt ol &gt y cada 
                        item se inserta con la etiqueta &lt li &gt. Se puede cambiar el tipo de ordenador con la característica <b>type</b>. Los tipos de 
                        ordenadores son:
                    </p>
                    
                    <table border="1">
                      <tr>
                        <th>TIPO</th>
                        <th>DESCRIPCIÓN</th>
                      </tr>
                      <tr>
                        <td>type="1"</td>
                        <td>Se lista con números (por defecto).<br></td>
                      </tr>
                      <tr>
                        <td>type="A"</td>
                        <td>Se lista con letras mayúsculas.</td>
                      </tr>
                      <tr>
                        <td>type="a"</td>
                        <td>Se lista con letras minúsculas.</td>
                      </tr>
                      <tr>
                        <td>type="I"</td>
                        <td>Se lista con números romanos en mayúsculas.</td>
                      </tr>
                    </table>
                    <p>
                        Para cambiar el valor de inicio se usa la característica <b>value</b>.
                    </p>
                    <h4>
                        Listas Desordenadas:
                    </h4>
                    <p>
                        Las listas desordenadas son listas sin un orden específico. Se inician con la etiqueta &lt ul &gt y cada item se inserta 
                        con la etiqueta &lt li &gt. Se puede cambiar el tipo de ícono que acompaña el item con la característica <i>type</i>. Los tipos de 
                        íconos son:
                    </p>
                    <table border="1">
                      <tr>
                        <th>TIPO</th>
                        <th>DESCRIPCIÓN</th>
                      </tr>
                      <tr>
                        <td>disc</td>
                        <td>Coloca un punto (por defecto)</td>
                      </tr>
                      <tr>
                        <td>circle</td>
                        <td>Coloca un círculo.</td>
                      </tr>
                      <tr>
                        <td>square</td>
                        <td>Coloca un cuadro.</td>
                      </tr>
                      <tr>
                        <td>none</td>
                        <td>No coloca ningín ícono.<br></td>
                      </tr>
                    </table>
                    <h4>
                        Listas de definiciones:
                    </h4>
                    <p>
                        Las listas de definiciones son listas que contienen un término y su descripción. Se inician con la etiqueta &lt dl &gt y 
                        la defición se inserta con la etiqueta &lt dd &gt.
                    </p>
                    <h4>
                        Ejercicio:
                    </h4>
                    <p>
                        Realice una lista ordenada con un ordenador diferente al numérico que inicie en un valor intermedio, y una lista desordenada 
                        con las cuatro opciones de tipos.
                    </p>
                    <h3 id="hiper">
                        Hipervínculos, Colores y Fuentes
                    </h3>
                    <h4>
                        Hipervínculos:
                    </h4>
                    <p>
                        Los <b>hipervínculos</b> son enlaces hacía otras páginas o a partes de una misma página. se insertan con la etiqueta &lt a &gt 
                        y la característica <b>href</b>. Por ejemplo, el código:
                    </p>
                    <div style="background-color: #ADD8E6">
                        <small>
                            &lt a href="https://www.bucaramanga.gov.co/Inicio/" target="_blank"&gt Alcaldía de Bucaramanga&lt /a&gt
                        </small>
                    </div>
                    <p>
                        Produce el enlace: <a href="https://www.bucaramanga.gov.co/Inicio/" target="_blank">Alcaldía de Bucaramanga</a><br>
                        La característica <b>target="_blank"</b> abre el enlace en otra pestaña.
                    </p>
                    <h4>
                        Colores:
                    </h4>
                    <p>
                        Para la creación de una página, se pueden usar infinidad de colores diferentes, y los colores vistos hasta ahora son 
                        solamente unos pequeños ejemplos. En línea se encuentran muchas páginas donde se pueden crear sus propios colores. Una 
                        de ellas es:
                    </p>
                    <p>
                        <a href="https://htmlcolorcodes.com/es/" target="_blank">HTML COLOR CODES</a>
                    </p>
                    <p>
                        De esta página se extraen colores del tipo <b>#XXXXXX</b> y este código se puede insertar en cualquier característica de color.
                    </p>
                    <p>
                        también existen páginas que ayudan a elegir un esquema de colores para hacer un diseño más consistente y estéticamente mejorado 
                        de una página web:
                    </p>
                    <p>
                        <a href="https://colorschemedesigner.com/csd-3.5/" target="_blank">HTML COLOR SCHEME DESIGNER</a>
                    </p>
                    <h4>
                        Fuentes:
                    </h4>
                    <p>
                        Así mismo, se pueden insertar fuentes (o tipos de letra) a toda una página web o a partes de esta. Se usa la etiqueta &lt link &gt y 
                        la característica <b>rel</b> y <b>href</b> para declarar la fuente y la etiqueta &lt style &gt y dentro de esta 
                        se coloca <i>font-family:</i>.
                    </p>
                    <p>
                        De la siguiente página de Google se pueden usar fuentes directamente de internet:
                    </p>
                    <p>
                        <a href="https://fonts.google.com/" target="_blank">GOOGLE FONTS</a>
                    </p>
                    <h4>
                        Ejercicio:
                    </h4>
                    <p>
                        Crear una página con hipervínculos, colores y una fuente diferente a las predeterminadas.
                    </p>
                    <h3 id="multimedia">
                        Multimedia
                    </h3>
                    <h4>
                        Imágenes:
                    </h4>
                    <p>
                        Para insertar imágenes, se usa la etiqueta &lt img &gt y las características <b>src</b> que indica de donde 
                        debe tomarse la imagen, <b>width</b> y <b>heigth</b> determinan el tamaño (en pixeles o en porcentaje) de 
                        la imagen.
                    </p>
                    <h5>
                        Ejemplo:
                    </h5>
                    <p>
                        El siguiente código:
                    </p>
                    <div style="background-color: #ADD8E6">
                        <sub>
                            &lt img src="https://codigofacilito.com/system/articles/covers/000/000/043/original/html.jpg?1444827874" 
                            width="500" height="500"&gt
                        </sub>
                    </div>
                    <p>
                        Produce la imagen:<br>
                    </p>
                        <img src="https://codigofacilito.com/system/articles/covers/000/000/043/original/html.jpg?1444827874" width="500" height="500">
                    <h4>
                        Audio:
                    </h4>
                    <p>
                        Para insertar un archivo de audio, se usa las etiquetas &lt audio &gt y &lt source &gt y las características <b>controls</b>, 
                        <b>src</b>, <b>type</b>. controls pone una forma de controlar la reproducción, src le dice de donde tomar el archivo y el 
                        tipo le indica al navegador que es un archivo de audio y el formato.
                    </p>
                    <h5>
                        Ejemplo:
                    </h5>
                    <p>
                        El siguiente código:
                    </p>
                    <div style="background-color: #ADD8E6">
                        <small>
                            <pre>
&lt audio controls&gt
    &lt source src="multimedia/tequila.mp3" type="audio/mp3"&gt
&lt/audio&gt
                            </pre>
                            
                        </small>
                    </div>
                    <p>
                        Produce la ventana de reproducción:<br>
                    </p>
                    <audio controls>
                        <source src="multimedia/Tequila.mp3" type="audio/mp3">
                    </audio>
                    <h4>
                        Video:
                    </h4>
                    <p>
                        Para insertar un archivo de video, se usa las etiquetas &lt video &gt y &lt source &gt y las características <b>controls</b>, 
                        <b>src</b>, <b>type</b>. controls pone una forma de controlar la reproducción, src le dice de donde tomar el archivo y el 
                        tipo le indica al navegador que es un archivo de video y el formato.
                    </p>
                    <h5>
                        Ejemplo:
                    </h5>
                    <p>
                        El siguiente código:<br>
                    </p>
                    <div style="background-color: #ADD8E6">
                        <small>
                            <pre>
&lt video width="320" height="240" controls&gt
    &lt source src="multimedia/Countdown.mp4" type="video/mp4"&gt
&lt/video&gt
                            </pre>
                        </small>
                    </div>
                    <p>
                        Produce la ventana de reproducción:<br>
                    </p>
                    <video width="320" height="240" controls>
                        <source src="multimedia/Countdown.mp4" type="video/mp4">
                    </video>
                    <p>
                        También se pueden insertar videos de sitios como youtube usando la etiqueta &lt iframe &gt y las características 
                        <b>width</b>, <b>height</b> y <b>src</b>.
                    </p>
                    <h5>
                        Ejemplo:
                    </h5>
                    <p>
                        El siguiente código:<br>
                    </p>
                    <div style="background-color: #ADD8E6">
                        <small>
                            <pre>
&ltiframe width="420" height="315" src="https://www.youtube.com/embed/tgbNymZ7vqY"&gt &lt/iframe&gt
                            </pre>
                        </small>
                    </div>
                    <p>
                        Produce la ventana de reproducción de youtube:<br>
                    </p>
                    <iframe width="420" height="315"
                        src="https://www.youtube.com/embed/tgbNymZ7vqY">
                    </iframe> 
                    <h4>
                        Ejercicio:
                    </h4>
                    <p>
                        Crear una página con una imagen, un archivo de audio y un archivo de video e insertando un video de youtube.
                    </p>
                </div>
            </div>
            <div id="footer">
                Página creada por Víctor Alfonso Mantilla Villamizar. 2019<br>Correo electrónico: vmantillav@gmail.com
            </div>
        </div>
    </body>
</html>
